#include "../defs.h"
#include "local.h"

int _fastcall
convert_error()
{
    switch (errno) {
	case TCP_ERR_USR_HANGUP:
	case TCP_ERR_RESET:
	    return NETERR_CONNREFUSED;
	case TCP_ERR_HANGUP:
	case TCP_ERR_NET_ERR:
	case TCP_ERR_IS_CLOSED:
	case TCP_ERR_SHUTDOWN:
	    return NETERR_NOTESTAB;
	case TCP_ERR_TIME_OUT:
	    return NETERR_TIMEOUT;
	case TCP_ERR_FULL:
	    return NETERR_NOMEM;
	case TCP_ERR_BLOCK:
	case EWOULDBLOCK:
	    return NETERR_WOULD_BLOCK;
	case EMSGSIZE:
	    return NETERR_BADARGS;
	case EAFNOSUPPORT:
	    return NETERR_NOSUPPORT;
	default:
	    return NETERR_ERRNO;
    }
}
